openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/BCA_DB_REL_RULE_INS_610:
    post:
      tags:
      - BCA_DB_REL_WFGEN
      operationId: /rfc/BCA_DB_REL_RULE_INS_610
      requestBody:
        content:
          application/json:
            schema:
              properties:
                CREATOR:
                  type: string
                  maxLength: 132
                  description: BDC Field Value
                CTU:
                  type: string
                  default: X
                  maxLength: 1
                DEV_CLASS:
                  type: string
                  default: $TMP
                  maxLength: 132
                  description: BDC Field Value
                GROUP:
                  type: string
                  maxLength: 12
                HOLDDATE:
                  type: string
                  format: date
                KEEP:
                  type: string
                  maxLength: 1
                MODE:
                  type: string
                  default: N
                  maxLength: 1
                NODATA:
                  type: string
                  default: /
                  maxLength: 1
                RULE_NAME:
                  type: string
                  maxLength: 132
                  description: BDC Field Value
                RULE_NAME_LONG:
                  type: string
                  maxLength: 132
                  description: BDC Field Value
                RULE_STRUC:
                  type: string
                  maxLength: 132
                  description: BDC Field Value
                RULE_TAB:
                  type: array
                  items:
                    type: object
                    properties:
                      LINE:
                        type: integer
                        format: int64
                        description: Row Number
                      ELEM_NAME:
                        type: string
                        maxLength: 32
                        description: Parameter Name
                      ELEM_DESCR:
                        type: string
                        maxLength: 20
                        description: Description of parameter
                      ELEM_SHORTTEXT:
                        type: string
                        maxLength: 80
                        description: Short text of parameter
                UPDATE:
                  type: string
                  default: S
                  maxLength: 1
                USER:
                  type: string
                  maxLength: 12
                MESSTAB:
                  type: array
                  items:
                    type: object
                    properties:
                      TCODE:
                        type: string
                        maxLength: 20
                        description: BDC Transaction code
                      DYNAME:
                        type: string
                        maxLength: 40
                        description: Batch input module name
                      DYNUMB:
                        type: string
                        maxLength: 4
                        description: Batch input screen number
                      MSGTYP:
                        type: string
                        maxLength: 1
                        description: Batch input message type
                      MSGSPRA:
                        type: string
                        maxLength: 1
                        description: Language ID of a message
                      MSGID:
                        type: string
                        maxLength: 20
                        description: Batch input message ID
                      MSGNR:
                        type: string
                        maxLength: 3
                        description: Batch input message number
                      MSGV1:
                        type: string
                        maxLength: 100
                        description: Variable part of a message
                      MSGV2:
                        type: string
                        maxLength: 100
                        description: Variable part of a message
                      MSGV3:
                        type: string
                        maxLength: 100
                        description: Variable part of a message
                      MSGV4:
                        type: string
                        maxLength: 100
                        description: Variable part of a message
                      ENV:
                        type: string
                        maxLength: 4
                        description: 'Batch input monitoring activity  enumValues: ABTC=Transfer sessions to background processing,AONL=Process sessions online,ANAL=Analyze sessions and logs,LOCK=Lock and release sessions,EXPO=Export Folders,FREE=Release sessions,DELE=Delete sessions,REOG=Reorganize sessions and logs,IMPO=Import Folders'
                        enum:
                        - ABTC
                        - AONL
                        - ANAL
                        - LOCK
                        - EXPO
                        - FREE
                        - DELE
                        - REOG
                        - IMPO
                      FLDNAME:
                        type: string
                        maxLength: 132
                        description: Field name
              required:
              - CREATOR
              - DEV_CLASS
              - RULE_NAME
              - RULE_NAME_LONG
              - RULE_STRUC
              - RULE_TAB
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  RULE_ID:
                    type: integer
                    format: int64
                    description: Object ID of standard object
                  SUBRC:
                    type: integer
                    format: int32
                    description: BDC Field Value
                  MESSTAB:
                    type: array
                    items:
                      type: object
                      properties:
                        TCODE:
                          type: string
                          maxLength: 20
                          description: BDC Transaction code
                        DYNAME:
                          type: string
                          maxLength: 40
                          description: Batch input module name
                        DYNUMB:
                          type: string
                          maxLength: 4
                          description: Batch input screen number
                        MSGTYP:
                          type: string
                          maxLength: 1
                          description: Batch input message type
                        MSGSPRA:
                          type: string
                          maxLength: 1
                          description: Language ID of a message
                        MSGID:
                          type: string
                          maxLength: 20
                          description: Batch input message ID
                        MSGNR:
                          type: string
                          maxLength: 3
                          description: Batch input message number
                        MSGV1:
                          type: string
                          maxLength: 100
                          description: Variable part of a message
                        MSGV2:
                          type: string
                          maxLength: 100
                          description: Variable part of a message
                        MSGV3:
                          type: string
                          maxLength: 100
                          description: Variable part of a message
                        MSGV4:
                          type: string
                          maxLength: 100
                          description: Variable part of a message
                        ENV:
                          type: string
                          maxLength: 4
                          description: 'Batch input monitoring activity  enumValues: ABTC=Transfer sessions to background processing,AONL=Process sessions online,ANAL=Analyze sessions and logs,LOCK=Lock and release sessions,EXPO=Export Folders,FREE=Release sessions,DELE=Delete sessions,REOG=Reorganize sessions and logs,IMPO=Import Folders'
                          enum:
                          - ABTC
                          - AONL
                          - ANAL
                          - LOCK
                          - EXPO
                          - FREE
                          - DELE
                          - REOG
                          - IMPO
                        FLDNAME:
                          type: string
                          maxLength: 132
                          description: Field name
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
